
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef GENPOS_SCAN_H
#define GENPOS_SCAN_H


/* Structures definies par d'autres modules */


/* Structures du module */
#include "server/genPosPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
int scan_buf_struct_GENPOS_STR (char** buf, struct GENPOS_STR *x, int nDim, int *dims );
int scan_buf_struct_GENPOS_TRCART_GEO_PARAM (char** buf, struct GENPOS_TRCART_GEO_PARAM *x, int nDim, int *dims );
int scan_buf_struct_GENPOS_TRAILER_CONNECTION (char** buf, struct GENPOS_TRAILER_CONNECTION *x, int nDim, int *dims );
int scan_buf_struct_GENPOS_TRCART_REF (char** buf, struct GENPOS_TRCART_REF *x, int nDim, int *dims );
int scan_buf_struct_GENPOS_TRCART_STATE (char** buf, struct GENPOS_TRCART_STATE *x, int nDim, int *dims );
int scan_buf_struct_GENPOS_TRCART_CONFIG (char** buf, struct GENPOS_TRCART_CONFIG *x, int nDim, int *dims );
int scan_buf_struct_GENPOS_TRACK (char** buf, struct GENPOS_TRACK *x, int nDim, int *dims );
int scan_buf_enum_GENPOS_TRAILER_TYPE (char** buf, enum GENPOS_TRAILER_TYPE *x, int nDim, int *dims );
int scan_buf_struct_GENPOS_TRAJ_POINTS (char** buf, struct GENPOS_TRAJ_POINTS *x, int nDim, int *dims );
int scan_buf_enum_GENPOS_TRACK_MODE (char** buf, enum GENPOS_TRACK_MODE *x, int nDim, int *dims );
int scan_buf_struct_GENPOS_CART_CMD_SPEED_PARAM (char** buf, struct GENPOS_CART_CMD_SPEED_PARAM *x, int nDim, int *dims );
int scan_buf_struct_GENPOS_CART_CMD_PARAM (char** buf, struct GENPOS_CART_CMD_PARAM *x, int nDim, int *dims );
int scan_buf_struct_GENPOS_CART_SPEED (char** buf, struct GENPOS_CART_SPEED *x, int nDim, int *dims );
int scan_buf_struct_GENPOS_CART_REF (char** buf, struct GENPOS_CART_REF *x, int nDim, int *dims );
int scan_buf_enum_GENPOS_DATA_TYPE (char** buf, enum GENPOS_DATA_TYPE *x, int nDim, int *dims );
int scan_buf_enum_GENPOS_MOTION_DIRECTION (char** buf, enum GENPOS_MOTION_DIRECTION *x, int nDim, int *dims );
int scan_buf_struct_GENPOS_CART_CONFIG_VAR (char** buf, struct GENPOS_CART_CONFIG_VAR *x, int nDim, int *dims );
int scan_buf_struct_GENPOS_CART_CONFIG (char** buf, struct GENPOS_CART_CONFIG *x, int nDim, int *dims );
int scan_buf_struct_GENPOS_CART_STATE (char** buf, struct GENPOS_CART_STATE *x, int nDim, int *dims );
int scan_buf_struct_GENPOS_POSTER_NAME (char** buf, struct GENPOS_POSTER_NAME *x, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

int scan_buf_GENPOS_POSTER_NAME (char** buf, GENPOS_POSTER_NAME *x, int nDim, int *dims );
int scan_buf_GENPOS_CART_STATE (char** buf, GENPOS_CART_STATE *x, int nDim, int *dims );
int scan_buf_GENPOS_CART_CONFIG (char** buf, GENPOS_CART_CONFIG *x, int nDim, int *dims );
int scan_buf_GENPOS_CART_CONFIG_VAR (char** buf, GENPOS_CART_CONFIG_VAR *x, int nDim, int *dims );
int scan_buf_GENPOS_MOTION_DIRECTION (char** buf, GENPOS_MOTION_DIRECTION *x, int nDim, int *dims );
int scan_buf_GENPOS_DATA_TYPE (char** buf, GENPOS_DATA_TYPE *x, int nDim, int *dims );
int scan_buf_GENPOS_CART_REF (char** buf, GENPOS_CART_REF *x, int nDim, int *dims );
int scan_buf_GENPOS_CART_SPEED (char** buf, GENPOS_CART_SPEED *x, int nDim, int *dims );
int scan_buf_GENPOS_CART_CMD_PARAM (char** buf, GENPOS_CART_CMD_PARAM *x, int nDim, int *dims );
int scan_buf_GENPOS_CART_CMD_SPEED_PARAM (char** buf, GENPOS_CART_CMD_SPEED_PARAM *x, int nDim, int *dims );
int scan_buf_GENPOS_TRACK_MODE (char** buf, GENPOS_TRACK_MODE *x, int nDim, int *dims );
int scan_buf_GENPOS_TRAJ_POINTS (char** buf, GENPOS_TRAJ_POINTS *x, int nDim, int *dims );
int scan_buf_GENPOS_TRAILER_TYPE (char** buf, GENPOS_TRAILER_TYPE *x, int nDim, int *dims );
int scan_buf_GENPOS_TRACK (char** buf, GENPOS_TRACK *x, int nDim, int *dims );
int scan_buf_GENPOS_TRCART_CONFIG (char** buf, GENPOS_TRCART_CONFIG *x, int nDim, int *dims );
int scan_buf_GENPOS_TRCART_STATE (char** buf, GENPOS_TRCART_STATE *x, int nDim, int *dims );
int scan_buf_GENPOS_TRCART_REF (char** buf, GENPOS_TRCART_REF *x, int nDim, int *dims );
int scan_buf_GENPOS_TRAILER_CONNECTION (char** buf, GENPOS_TRAILER_CONNECTION *x, int nDim, int *dims );
int scan_buf_GENPOS_TRCART_GEO_PARAM (char** buf, GENPOS_TRCART_GEO_PARAM *x, int nDim, int *dims );
int scan_buf_GENPOS_STR (char** buf, GENPOS_STR *x, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* GENPOS_SCAN_H */

